Type to search.

Get Deployment Domain Name for a resource kind

  • GET /platform/configuration/networking/deployment_domain_name/{resource_kind}
Auth

Gets Deployment Domain Name configuration value for a resource kind.

Path parameters

resource_kind enum required

The kind of resource you want to manage a Deployment Domain Name for.

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server

Responses

The Deployment Domain Name was successfully retrieved

application/json
value string required

The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)